aboutsummaryrefslogtreecommitdiff
path: root/tests/plugins.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/plugins.sh')
-rw-r--r--tests/plugins.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/plugins.sh b/tests/plugins.sh
index e22bf4408..6e278ad9d 100644
--- a/tests/plugins.sh
+++ b/tests/plugins.sh
@@ -2,6 +2,11 @@ source common.sh
set -o pipefail
+if [[ $BUILD_SHARED_LIBS != 1 ]]; then
+ echo "plugins are not supported"
+ exit 99
+fi
+
res=$(nix --option setting-set true --option plugin-files $PWD/plugins/libplugintest* eval --expr builtins.anotherNull)
[ "$res"x = "nullx" ]